Name:           mp4tools
Version:        3.8
Release:        %mkrel 4
Summary:        MP4Tools
Group:          Video
License:        GPLv3+
URL:            https://www.mp4joiner.org/en/
Source0:        https://www.fosshub.com/MP4Joiner.html/%{name}-%{version}.tar.xz
#------------------------------------
BuildRequires: %{_lib}wxgtku3.1-devel
BuildRequires: %{_lib}wxsvg-devel
BuildRequires: %{_lib}ffmpeg-devel
BuildRequires:  desktop-file-utils
BuildRequires:  gettext-devel
BuildRequires:  gpac 
#------------------------------------
Requires: ffmpeg
Requires: gpac
Requires: lib64wxsvg3
Obsoletes: mp4joiner
Provides: mp4joiner = %version-%release


%description
MP4Tools is a collection of cross-platform free tools to manipulate MP4 files.
It contains two applications:
MP4Joiner is a free application that allows join multiple MP4 files into one 
without reencoding and without quality loss.
MP4Splitter is a free application that allows split a MP4 file in multiple files 
without reencoding and without quality loss

%prep
%setup -q

%build

export CXXFLAGS="%{optflags} -lswscale"
%configure2_5x

%make


%install
rm -rf %{buildroot}
%makeinstall_std

#menu
mkdir -p %buildroot%_datadir/applications
cat > %buildroot%{_datadir}/applications/mp4joiner.desktop <<EOF
[Desktop Entry]
Name=MP4Joiner
Comment=Join multiple MP4 files.
Exec=mp4joiner
Icon=mp4joiner
Type=Application
Terminal=false
Categories=Video;X-MandrivaLinux-Multimedia-video;
EOF

cat > %buildroot%{_datadir}/applications/mp4splitter.desktop <<EOF
[Desktop Entry]
Name=MP4Splitter
Comment=Split MP4 files.
Exec=mp4splitter
Icon=mp4splitter
Type=Application
Terminal=false
Categories=Video;X-MandrivaLinux-Multimedia-video;
EOF

#icon
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
install -m 644 resources/mp4joiner.png \
$RPM_BUILD_ROOT%{_datadir}/pixmaps/mp4joiner.png

install -m 644 resources/mp4splitter.png \
$RPM_BUILD_ROOT%{_datadir}/pixmaps/mp4splitter.png

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr(-,root,root,-)
%doc README COPYING ChangeLog AUTHORS INSTALL
%{_bindir}/mp4joiner
%{_bindir}/mp4splitter
%{_datadir}/applications/mp4joiner.desktop
%{_datadir}/applications/mp4splitter.desktop
%{_datadir}/pixmaps/mp4joiner.png
%{_datadir}/pixmaps/mp4splitter.png

%changelog
* Sun Aug 01 2021 tex - 3.8-4pclos2021
- add req gpac and lib64wxsvg3

* Sun Aug 01 2021 tex - 3.8-3pclos2021
- rebuild against updates

* Mon Mar 30 2020 Ken lxgator at gmail.com 3.8-2pclos2020
- rebuild against updated libs

* Sat Feb 15 2020 Ken lxgator at gmail.com 3.8-1pclos2020
- update

* Mon Nov 06 2017 bb2 <bb2> - 3.4-2pclos2017
- rebuild against updates

* Sat Apr 15 2017 lxgator at gmail.com 3.4-1pclos2017
- update

* Sat Aug 08 2015 bb <bb> 3.1-1pclos2015
- create package
